--- old/usr/src/pkg/manifests/system-test-ostest.p5m	Wed Apr 12 20:33:27 2023
+++ new/usr/src/pkg/manifests/system-test-ostest.p5m	Wed Apr 12 20:33:27 2023
@@ -66,6 +66,8 @@
 file path=opt/os-tests/tests/file-locking/acquire-lock.64 mode=0555
 file path=opt/os-tests/tests/file-locking/runtests.32 mode=0555
 file path=opt/os-tests/tests/file-locking/runtests.64 mode=0555
+file path=opt/os-tests/tests/getcontext_extd.32 mode=0555
+file path=opt/os-tests/tests/getcontext_extd.64 mode=0555
 $(i386_ONLY)dir path=opt/os-tests/tests/i386
 $(i386_ONLY)file path=opt/os-tests/tests/i386/badseg mode=0555
 $(i386_ONLY)file path=opt/os-tests/tests/i386/badseg_exec mode=0555
@@ -176,6 +178,57 @@
 file path=opt/os-tests/tests/ucontext.64 mode=0555
 file path=opt/os-tests/tests/writev.32 mode=0555
 file path=opt/os-tests/tests/writev.64 mode=0555
+$(i386_ONLY)dir path=opt/os-tests/tests/xsave
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/bad_xregs.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/bad_xregs.64 mode=0555
+$(i386_ONLY)dir path=opt/os-tests/tests/xsave/data
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/mdb_xregs.ymm.32 mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/mdb_xregs.ymm.64 mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/mdb_xregs.zmm.32 mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/mdb_xregs.zmm.64 mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.fpregs.ymm.32 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.fpregs.ymm.64 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.fpregs.zmm.32 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.fpregs.zmm.64 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.xregs.ymm.32 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.xregs.ymm.64 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.xregs.zmm.32 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/data/proc_writes.xregs.zmm.64 \
+    mode=0444
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/fpregs.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/fpregs.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/fpregs_xbv.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/fpregs_xbv.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/mdb_xregs mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/proc_writes mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/proc_xregs_set.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/proc_xregs_set.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/setcontext_replace.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/setcontext_replace.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/setcontext_restore.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/setcontext_restore.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/signal_restore.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/signal_restore.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/swapcontext_extd.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/swapcontext_extd.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_dump.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_dump.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_roundtrip.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_roundtrip.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_set.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xregs_set.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xsave_baducontext mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xsave_baducontext.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xsave_baducontext.64 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xsu_hwtype.32 mode=0555
+$(i386_ONLY)file path=opt/os-tests/tests/xsave/xsu_hwtype.64 mode=0555
 file path=opt/os-tests/tests/zen_umc_test mode=0555
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
